// My Robot - Sound - Sound.h
// Nick Sabalausky

#ifndef _SOUND_H_
#define _SOUND_H_

#define REG_SOUNDCNT_L     *(vu16*)0x4000080
#define REG_SOUNDCNT_H     *(vu16*)0x4000082
#define REG_SOUNDCNT_X     *(vu16*)0x4000084

#define REG_SOUND1CNT_L    *(vu16*)0x4000060
#define REG_SOUND1CNT_H    *(vu16*)0x4000062
#define REG_SOUND1CNT_X    *(vu16*)0x4000064

#define REG_SOUND2CNT_L    *(vu16*)0x4000068
#define REG_SOUND2CNT_H    *(vu16*)0x400006C

#define REG_SOUND3CNT_L    *(vu16*)0x4000070
#define REG_SOUND3CNT_H    *(vu16*)0x4000072
#define REG_SOUND3CNT_X    *(vu16*)0x4000074

#define REG_SOUND4CNT_L    *(vu16*)0x4000078
#define REG_SOUND4CNT_H    *(vu16*)0x400007C

#define REG_WAVE_RAM0	*(vu32*)0x4000090
#define REG_WAVE_RAM1	*(vu32*)0x4000094
#define REG_WAVE_RAM2	*(vu32*)0x4000098
#define REG_WAVE_RAM3	*(vu32*)0x400009C

void InitSound(void);
void StartMusic(u8 melodyID);
void StopMusic(void);
void PlayTick1(void);
void PlayTick2(void);
void PlayTick2Long(void);
void PlayTick2LowQ(void);
void PlayTick2LongLowQ(void);
void PlayTick3(void);
void PlayTick4(void);
void PlayTick5(void);
void PlayBeep1(void);
void PlayBeep2(void);
void PlayLow1(void);
void PlayLow2(void);
void PlayLow3(void);
void PlayDown1(void);
void PlayDown1Long(void);
void PlayDown2(void);
void PlayDown3(void);
void PlayUp1(void);
void PlayUp2(void);
void PlayUp3(void);

// From BeLogic's sound channel 3 demo:
extern const u16 freq[72]; 

#endif
// END OF FILE /////////////////////////